Package de.willuhn.jameica.hbci.server

# Class KontoImpl

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteServer
java.rmi.server.UnicastRemoteObject
de.willuhn.datasource.db.AbstractDBObject
de.willuhn.jameica.hbci.server.AbstractHibiscusDBObject
de.willuhn.jameica.hbci.server.KontoImpl

All Implemented Interfaces:
  `de.willuhn.datasource.GenericObject`, `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.rmi.Transactionable`, `Checksum`, `Flaggable`, `HibiscusDBObject`, `Konto`, `Serializable`, `Remote`

public class KontoImpl extends AbstractHibiscusDBObject implements Konto
Bildet eine Bankverbindung ab.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.rmi.server.RemoteObject

`ref`

### Fields inherited from interface de.willuhn.jameica.hbci.rmi.Konto

`FLAG_DISABLED, FLAG_NONE, FLAG_OFFLINE`

## Constructor Summary

Constructors
Constructor
Description
`KontoImpl()`
ct.

## Method Summary

Modifier and Type
Method
Description
`final void`
`addToProtokoll(String kommentar, int protokollTyp)`
Fuegt den uebergebenen Text zum Konto-Protokoll hinzu.
`void`
`delete()`
`Integer`
`getAccountType()`
Liefert die Kontoart.
`Object`
`getAttribute(String arg0)`
Die Funktion ueberschreiben wir um ein zusaetzliches virtuelles Attribut "longname" einzufuehren.
`de.willuhn.datasource.rmi.DBIterator`
`getAuslandsUeberweisungen()`
Liefert eine Liste aller Auslandsueberweisungen, die ueber dieses Konto getaetigt wurden.
`String`
`getBackendClass()`
Liefert die Java-Klasse des zu verwendenden Backends.
`String`
`getBezeichnung()`
Liefert die Bezeichnung des Kontos.
`String`
`getBic()`
Liefert die BIC.
`String`
`getBLZ()`
Liefert die Bankleitzahl fuer diese Bankverbindung.
`long`
`getChecksum()`
Liefert die Checksumme des Objektes.
`de.willuhn.datasource.rmi.DBIterator`
`getDauerauftraege()`
Liefert alle Dauerauftraege, die fuer das Konto vorliegen.
`int`
`getFlags()`
Liefert ein Bit-Feld mit Flags.
`String`
`getIban()`
Liefert die IBAN.
`String`
`getKategorie()`
Liefert einen Freitext mit der Kategorie.
`String`
`getKommentar()`
Liefert einen zusaetzlichen Kommentar fuer das Konto.
`de.willuhn.datasource.rmi.DBIterator`
`getKontoauszuege()`
Liefert die Liste der Kontoauszuege.
`String`
`getKontonummer()`
Liefert die Kontonummer fuer diese Bankverbindung.
`String`
`getKundennummer()`
Liefert die Kundennummer bei der Bank.
`de.willuhn.datasource.rmi.DBIterator`
`getLastschriften()`
Liefert alle Lastschriften, die fuer das Konto vorliegen.
`String`
`getLongName()`
Liefert eine ausfuehrliche Bezeichnung des Kontos bestehend aus Bezeichnung, Kto und BLZ.
`String`
`getName()`
Liefert den Namen des Konto-Inhabers.
`int`
`getNumUmsaetze()`
Liefert die Anzahl der Umsaetze auf dem Konto.
`String`
`getPassportClass()`
Liefert die Java-Klasse des zu verwendenden Passports.
`String`
`getPrimaryAttribute()`
`de.willuhn.datasource.rmi.DBIterator`
`getProtokolle()`
Liefert die HBCI-Protokollierung des Kontos in Form einer Liste von Protokoll-Objekten.
`double`
`getSaldo()`
Liefert den Saldo des Kontos oder `0.0` wenn er noch nie abgefragt wurde.
`double`
`getSaldoAvailable()`
Liefert den verfuegbaren Betrag auf dem Konto.
`Date`
`getSaldoDatum()`
Liefert das Datum des aktuellen Saldos oder `null` wenn er noch nie abgefragt wurde.
`de.willuhn.datasource.rmi.DBIterator`
`getSammelLastschriften()`
Liefert alle Sammel-Lastschriften, die fuer das Konto vorliegen.
`de.willuhn.datasource.rmi.DBIterator`
`getSammelUeberweisungen()`
Liefert alle Sammel-Ueberweisungen, die fuer das Konto vorliegen.
`de.willuhn.datasource.rmi.DBIterator`
`getSepaDauerauftraege()`
Liefert alle SEPA-Dauerauftraege, die fuer das Konto vorliegen.
`de.willuhn.datasource.rmi.DBIterator`
`getSepaLastschriften()`
Liefert eine Liste aller SEPA-Lastschriften, die ueber dieses Konto getaetigt wurden.
`de.willuhn.datasource.rmi.DBIterator`
`getSepaSammelLastschriften()`
Liefert eine Liste aller SEPA-Sammellastschriften, die ueber dieses Konto getaetigt wurden.
`de.willuhn.datasource.rmi.DBIterator`
`getSepaSammelUeberweisungen()`
Liefert eine Liste aller SEPA-Sammelueberweisungen, die ueber dieses Konto getaetigt wurden.
`protected String`
`getTableName()`
`de.willuhn.datasource.rmi.DBIterator`
`getUeberweisungen()`
Liefert eine Liste aller Ueberweisungen, die ueber dieses Konto getaetigt wurden.
`de.willuhn.datasource.rmi.DBIterator`
`getUmsaetze()`
Liefert eine Liste aller Umsaetze fuer das Konto in umgekehrter chronologischer Reihenfolge.
`de.willuhn.datasource.rmi.DBIterator`
`getUmsaetze(int days)`
Liefert eine Liste aller Umsaetze fuer die letzten x Tage.
`de.willuhn.datasource.rmi.DBIterator`
`getUmsaetze(Date start, Date end)`
Liefert eine Liste aller Umsaetze fuer den vorgegebenen Zeitraum.
`de.willuhn.datasource.rmi.DBIterator`
`getUmsatzTypen()`
Liefert die Liste der fest zugeordneten Umsatzkategorien.
`String`
`getUnterkonto()`
Liefert die Unterkonto-Nummer.
`String`
`getWaehrung()`
Liefert die Waehrungs-Bezeichnung der Bankverbindung.
`boolean`
`hasFlag(int flag)`
Prueft, ob das angegebene Flag vorhanden ist.
`void`
`insert()`
`protected void`
`insertCheck()`
`void`
`reset()`
Setzt das Saldo und Datum zurück
`void`
`setAccountType(Integer i)`
Speichert die Kontoart.
`void`
`setBackendClass(String backend)`
Speichert die Java-Klasse des zu verwendenden Backends.
`void`
`setBezeichnung(String bezeichnung)`
Speichert die Bezeichnung des Kontos.
`void`
`setBic(String bic)`
Speichert die BIC.
`void`
`setBLZ(String blz)`
Speichert die Bankleitzahl der Bankverbindung.
`void`
`setFlags(int flags)`
Speichert die Flags einen Objektes.
`void`
`setIban(String iban)`
Speichert die IBAN.
`void`
`setKategorie(String kategorie)`
Speichert die Kategorie.
`void`
`setKommentar(String kommentar)`
Speichert einen zusaetzlichen Kommentar fuer das Konto.
`void`
`setKontonummer(String kontonummer)`
Speichert die Kontonummer der Bankverbindung.
`void`
`setKundennummer(String kundennummer)`
Speichert die Kundennummer.
`void`
`setName(String name)`
Speichert den Namen des Konto-Inhabers.
`void`
`setPassportClass(String passport)`
Speichert den Namen der Java-Klasse des zu verwendenden Passports.
`void`
`setSaldo(double saldo)`
Speichert den neuen Saldo.
`void`
`setSaldoAvailable(double saldo)`
Speichert den verfuegbaren Betrag auf dem Konto.
`void`
`setUnterkonto(String unterkonto)`
Speichert das Unterkonto.
`void`
`setWaehrung(String waehrung)`
Speichert die Waehrungsbezeichnung.
`void`
`store()`
`protected void`
`updateCheck()`

### Methods inherited from class de.willuhn.jameica.hbci.server.AbstractHibiscusDBObject

`getMeta, setMeta`

### Methods inherited from class de.willuhn.datasource.db.AbstractDBObject

`addDeleteListener, addStoreListener, clear, deleteCheck, equals, getAttributeNames, getAttributeType, getForeignObject, getID, getIDField, getInsertSQL, getList, getListQuery, getLoadQuery, getService, getUpdateSQL, hasChanged, hasChanged, init, isNewObject, load, overwrite, removeDeleteListener, removeStoreListener, setAttribute, setID, setService, transactionBegin, transactionCommit, transactionRollback`

### Methods inherited from class java.rmi.server.UnicastRemoteObject

`clone, exportObject, exportObject, exportObject, exportObject, exportObject, unexportObject`

### Methods inherited from class java.rmi.server.RemoteServer

`getClientHost, getLog, setLog`

### Methods inherited from class java.rmi.server.RemoteObject

`equals, getRef, hashCode, toString, toStub`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, isNewObject, overwrite`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttributeType, getList, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

## Constructor Details

### KontoImpl

public KontoImpl() throws RemoteException
ct.

Throws:
  `RemoteException`

## Method Details

### getTableName

protected String getTableName()

Specified by:
  `getTableName` in class `de.willuhn.datasource.db.AbstractDBObject`
See Also:
  - `AbstractDBObject.getTableName()`

### getPrimaryAttribute

public String getPrimaryAttribute() throws RemoteException

Specified by:
  `getPrimaryAttribute` in interface `de.willuhn.datasource.rmi.DBObject`
Specified by:
  `getPrimaryAttribute` in interface `de.willuhn.datasource.GenericObject`
Specified by:
  `getPrimaryAttribute` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.getPrimaryAttribute()`

### insertCheck

protected void insertCheck() throws de.willuhn.util.ApplicationException

Overrides:
  `insertCheck` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractDBObject.insertCheck()`

### updateCheck

protected void updateCheck() throws de.willuhn.util.ApplicationException

Overrides:
  `updateCheck` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractDBObject.updateCheck()`

### getKontonummer

public String getKontonummer() throws RemoteException
Description copied from interface: `Konto`
Liefert die Kontonummer fuer diese Bankverbindung.

Specified by:
  `getKontonummer` in interface `Konto`
Returns:
  Kontonummer.
Throws:
  `RemoteException`
See Also:
  - `Konto.getKontonummer()`

### getBLZ

public String getBLZ() throws RemoteException
Description copied from interface: `Konto`
Liefert die Bankleitzahl fuer diese Bankverbindung.

Specified by:
  `getBLZ` in interface `Konto`
Returns:
  Bankleitzahl.
Throws:
  `RemoteException`
See Also:
  - `Konto.getBLZ()`

### getName

public String getName() throws RemoteException
Description copied from interface: `Konto`
Liefert den Namen des Konto-Inhabers.

Specified by:
  `getName` in interface `Konto`
Returns:
  Name des Konto-Inhabers.
Throws:
  `RemoteException`
See Also:
  - `Konto.getName()`

### getPassportClass

public String getPassportClass() throws RemoteException
Description copied from interface: `Konto`
Liefert die Java-Klasse des zu verwendenden Passports. Dieser kann anschliessend mittels `PassportRegistry#findByClass(String)` geladen werden.

Specified by:
  `getPassportClass` in interface `Konto`
Returns:
  Java-Klasse des Passports.
Throws:
  `RemoteException`
See Also:
  - `Konto.getPassportClass()`

### getBackendClass

public String getBackendClass() throws RemoteException
Description copied from interface: `Konto`
Liefert die Java-Klasse des zu verwendenden Backends.

Specified by:
  `getBackendClass` in interface `Konto`
Returns:
  Java-Klasse des Backends.
Throws:
  `RemoteException`
See Also:
  - `Konto.getBackendClass()`

### getAccountType

public Integer getAccountType() throws RemoteException
Description copied from interface: `Konto`
Liefert die Kontoart. Kann NULL sein.

Specified by:
  `getAccountType` in interface `Konto`
Returns:
  die Kontoart.
Throws:
  `RemoteException`
See Also:
  - `Konto.getAccountType()`

### setKontonummer

public void setKontonummer(String kontonummer) throws RemoteException
Description copied from interface: `Konto`
Speichert die Kontonummer der Bankverbindung.

Specified by:
  `setKontonummer` in interface `Konto`
Parameters:
  `kontonummer` - Kontonummer.
Throws:
  `RemoteException`
See Also:
  - `Konto.setKontonummer(java.lang.String)`

### setBLZ

public void setBLZ(String blz) throws RemoteException
Description copied from interface: `Konto`
Speichert die Bankleitzahl der Bankverbindung.

Specified by:
  `setBLZ` in interface `Konto`
Parameters:
  `blz` - Bankleitzahl.
Throws:
  `RemoteException`
See Also:
  - `Konto.setBLZ(java.lang.String)`

### setName

public void setName(String name) throws RemoteException
Description copied from interface: `Konto`
Speichert den Namen des Konto-Inhabers.

Specified by:
  `setName` in interface `Konto`
Parameters:
  `name` - Name des Konto-Inhaber.s
Throws:
  `RemoteException`
See Also:
  - `Konto.setName(java.lang.String)`

### setPassportClass

public void setPassportClass(String passport) throws RemoteException
Description copied from interface: `Konto`
Speichert den Namen der Java-Klasse des zu verwendenden Passports.

Specified by:
  `setPassportClass` in interface `Konto`
Parameters:
  `passport` - Passport.
Throws:
  `RemoteException`
See Also:
  - `Konto.setPassportClass(java.lang.String)`

### setBackendClass

public void setBackendClass(String backend) throws RemoteException
Description copied from interface: `Konto`
Speichert die Java-Klasse des zu verwendenden Backends.

Specified by:
  `setBackendClass` in interface `Konto`
Parameters:
  `backend` - Java-Klasse des Backends.
Throws:
  `RemoteException`
See Also:
  - `Konto.setBackendClass(java.lang.String)`

### setAccountType

public void setAccountType(Integer i) throws RemoteException
Description copied from interface: `Konto`
Speichert die Kontoart. Kann NULL sein.

Specified by:
  `setAccountType` in interface `Konto`
Parameters:
  `i` - die Kontoart.
Throws:
  `RemoteException`
See Also:
  - `Konto.setAccountType(java.lang.Integer)`

### delete

public void delete() throws RemoteException, de.willuhn.util.ApplicationException

Specified by:
  `delete` in interface `de.willuhn.datasource.rmi.Changeable`
Overrides:
  `delete` in class `AbstractHibiscusDBObject`
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`
See Also:
  - `Changeable.delete()`

### getWaehrung

public String getWaehrung() throws RemoteException
Description copied from interface: `Konto`
Liefert die Waehrungs-Bezeichnung der Bankverbindung.

Specified by:
  `getWaehrung` in interface `Konto`
Returns:
  Waehrungsbezeichnung.
Throws:
  `RemoteException`
See Also:
  - `Konto.getWaehrung()`

### setWaehrung

public void setWaehrung(String waehrung) throws RemoteException
Description copied from interface: `Konto`
Speichert die Waehrungsbezeichnung.

Specified by:
  `setWaehrung` in interface `Konto`
Parameters:
  `waehrung` - Bezeichnung.
Throws:
  `RemoteException`
See Also:
  - `Konto.setWaehrung(java.lang.String)`

### getKundennummer

public String getKundennummer() throws RemoteException
Description copied from interface: `Konto`
Liefert die Kundennummer bei der Bank.

Specified by:
  `getKundennummer` in interface `Konto`
Returns:
  Kundennummer.
Throws:
  `RemoteException`
See Also:
  - `Konto.getKundennummer()`

### setKundennummer

public void setKundennummer(String kundennummer) throws RemoteException
Description copied from interface: `Konto`
Speichert die Kundennummer.

Specified by:
  `setKundennummer` in interface `Konto`
Parameters:
  `kundennummer` - Kundennummer.
Throws:
  `RemoteException`
See Also:
  - `Konto.setKundennummer(java.lang.String)`

### getSaldo

public double getSaldo() throws RemoteException
Description copied from interface: `Konto`
Liefert den Saldo des Kontos oder `0.0` wenn er noch nie abgefragt wurde.

Specified by:
  `getSaldo` in interface `Konto`
Returns:
  Saldo des Kontos.
Throws:
  `RemoteException`
See Also:
  - `Konto.getSaldo()`

### getSaldoAvailable

public double getSaldoAvailable() throws RemoteException
Description copied from interface: `Konto`
Liefert den verfuegbaren Betrag auf dem Konto. BUGZILLA 530

Specified by:
  `getSaldoAvailable` in interface `Konto`
Returns:
  der verfuegbare Betrag auf dem Konto.
Throws:
  `RemoteException`
See Also:
  - `Konto.getSaldoAvailable()`

### getSaldoDatum

public Date getSaldoDatum() throws RemoteException
Description copied from interface: `Konto`
Liefert das Datum des aktuellen Saldos oder `null` wenn er noch nie abgefragt wurde.

Specified by:
  `getSaldoDatum` in interface `Konto`
Returns:
  Datum des Saldos.
Throws:
  `RemoteException`
See Also:
  - `Konto.getSaldoDatum()`

### reset

public void reset() throws RemoteException
Description copied from interface: `Konto`
Setzt das Saldo und Datum zurück

Specified by:
  `reset` in interface `Konto`
Throws:
  `RemoteException`
See Also:
  - `Konto.reset()`

### getUmsaetze

public de.willuhn.datasource.rmi.DBIterator getUmsaetze() throws RemoteException
Description copied from interface: `Konto`
Liefert eine Liste aller Umsaetze fuer das Konto in umgekehrter chronologischer Reihenfolge. Also die neuesten zuerst, die aeltesten zuletzt.

Specified by:
  `getUmsaetze` in interface `Konto`
Returns:
  Umsatzliste.
Throws:
  `RemoteException`
See Also:
  - `Konto.getUmsaetze()`

### getUmsaetze

public de.willuhn.datasource.rmi.DBIterator getUmsaetze(int days) throws RemoteException
Description copied from interface: `Konto`
Liefert eine Liste aller Umsaetze fuer die letzten x Tage. Die neuesten zuerst, die aeltesten zuletzt.

Specified by:
  `getUmsaetze` in interface `Konto`
Parameters:
  `days` - Anzahl der Tage.
Returns:
  Umsatzliste.
Throws:
  `RemoteException`
See Also:
  - `Konto.getUmsaetze(int)`

### getUmsaetze

public de.willuhn.datasource.rmi.DBIterator getUmsaetze(Date start, Date end) throws RemoteException
Description copied from interface: `Konto`
Liefert eine Liste aller Umsaetze fuer den vorgegebenen Zeitraum. Die neuesten zuerst, die aeltesten zuletzt.

Specified by:
  `getUmsaetze` in interface `Konto`
Parameters:
  `start` - Startdatum
  `end` - EndeDatum
Returns:
  Umsatzliste.
Throws:
  `RemoteException`
See Also:
  - `Konto.getUmsaetze(Date, Date)`

### getUeberweisungen

public de.willuhn.datasource.rmi.DBIterator getUeberweisungen() throws RemoteException
Description copied from interface: `Konto`
Liefert eine Liste aller Ueberweisungen, die ueber dieses Konto getaetigt wurden.

Specified by:
  `getUeberweisungen` in interface `Konto`
Returns:
  Ueberweisungsliste.
Throws:
  `RemoteException`
See Also:
  - `Konto.getUeberweisungen()`

### getUmsatzTypen

public de.willuhn.datasource.rmi.DBIterator getUmsatzTypen() throws RemoteException
Description copied from interface: `Konto`
Liefert die Liste der fest zugeordneten Umsatzkategorien.

Specified by:
  `getUmsatzTypen` in interface `Konto`
Returns:
  Liste der fest zugeordneten Umsatzkategorien.
Throws:
  `RemoteException`
See Also:
  - `Konto.getUmsatzTypen()`

### getAuslandsUeberweisungen

public de.willuhn.datasource.rmi.DBIterator getAuslandsUeberweisungen() throws RemoteException
Description copied from interface: `Konto`
Liefert eine Liste aller Auslandsueberweisungen, die ueber dieses Konto getaetigt wurden.

Specified by:
  `getAuslandsUeberweisungen` in interface `Konto`
Returns:
  Liste der Auslandsueberweisungen.
Throws:
  `RemoteException`
See Also:
  - `Konto.getAuslandsUeberweisungen()`

### getSepaLastschriften

public de.willuhn.datasource.rmi.DBIterator getSepaLastschriften() throws RemoteException
Description copied from interface: `Konto`
Liefert eine Liste aller SEPA-Lastschriften, die ueber dieses Konto getaetigt wurden.

Specified by:
  `getSepaLastschriften` in interface `Konto`
Returns:
  Liste der SEPA-Lastschriften.
Throws:
  `RemoteException`
See Also:
  - `Konto.getSepaLastschriften()`

### getSepaSammelLastschriften

public de.willuhn.datasource.rmi.DBIterator getSepaSammelLastschriften() throws RemoteException
Description copied from interface: `Konto`
Liefert eine Liste aller SEPA-Sammellastschriften, die ueber dieses Konto getaetigt wurden.

Specified by:
  `getSepaSammelLastschriften` in interface `Konto`
Returns:
  Liste der SEPA-Sammellastschriften.
Throws:
  `RemoteException`
See Also:
  - `Konto.getSepaSammelLastschriften()`

### getSepaSammelUeberweisungen

public de.willuhn.datasource.rmi.DBIterator getSepaSammelUeberweisungen() throws RemoteException
Description copied from interface: `Konto`
Liefert eine Liste aller SEPA-Sammelueberweisungen, die ueber dieses Konto getaetigt wurden.

Specified by:
  `getSepaSammelUeberweisungen` in interface `Konto`
Returns:
  Liste der SEPA-Sammelueberweisungen.
Throws:
  `RemoteException`
See Also:
  - `Konto.getSepaSammelUeberweisungen()`

### getDauerauftraege

public de.willuhn.datasource.rmi.DBIterator getDauerauftraege() throws RemoteException
Description copied from interface: `Konto`
Liefert alle Dauerauftraege, die fuer das Konto vorliegen. Dabei werden auch jene geliefert, die lokal erstellt, jedoch noch nicht zur Bank hochgeladen wurden.

Specified by:
  `getDauerauftraege` in interface `Konto`
Returns:
  Liste der Dauerauftraege.
Throws:
  `RemoteException`
See Also:
  - `Konto.getDauerauftraege()`

### getSepaDauerauftraege

public de.willuhn.datasource.rmi.DBIterator getSepaDauerauftraege() throws RemoteException
Description copied from interface: `Konto`
Liefert alle SEPA-Dauerauftraege, die fuer das Konto vorliegen. Dabei werden auch jene geliefert, die lokal erstellt, jedoch noch nicht zur Bank hochgeladen wurden.

Specified by:
  `getSepaDauerauftraege` in interface `Konto`
Returns:
  Liste der SEPA-Dauerauftraege.
Throws:
  `RemoteException`
See Also:
  - `Konto.getSepaDauerauftraege()`

### getLastschriften

public de.willuhn.datasource.rmi.DBIterator getLastschriften() throws RemoteException
Description copied from interface: `Konto`
Liefert alle Lastschriften, die fuer das Konto vorliegen.

Specified by:
  `getLastschriften` in interface `Konto`
Returns:
  Liste der Lastschriften.
Throws:
  `RemoteException`
See Also:
  - `Konto.getLastschriften()`

### getSammelLastschriften

public de.willuhn.datasource.rmi.DBIterator getSammelLastschriften() throws RemoteException
Description copied from interface: `Konto`
Liefert alle Sammel-Lastschriften, die fuer das Konto vorliegen.

Specified by:
  `getSammelLastschriften` in interface `Konto`
Returns:
  Liste der Lastschriften.
Throws:
  `RemoteException`
See Also:
  - `Konto.getSammelLastschriften()`

### getSammelUeberweisungen

public de.willuhn.datasource.rmi.DBIterator getSammelUeberweisungen() throws RemoteException
Description copied from interface: `Konto`
Liefert alle Sammel-Ueberweisungen, die fuer das Konto vorliegen.

Specified by:
  `getSammelUeberweisungen` in interface `Konto`
Returns:
  Liste der Sammelueberweisungen.
Throws:
  `RemoteException`
See Also:
  - `Konto.getSammelUeberweisungen()`

### getKontoauszuege

public de.willuhn.datasource.rmi.DBIterator getKontoauszuege() throws RemoteException
Description copied from interface: `Konto`
Liefert die Liste der Kontoauszuege.

Specified by:
  `getKontoauszuege` in interface `Konto`
Returns:
  die Liste der Kontoauszuege.
Throws:
  `RemoteException`
See Also:
  - `Konto.getKontoauszuege()`

### getBezeichnung

public String getBezeichnung() throws RemoteException
Description copied from interface: `Konto`
Liefert die Bezeichnung des Kontos.

Specified by:
  `getBezeichnung` in interface `Konto`
Returns:
  Bezeichnung des Kontos.
Throws:
  `RemoteException`
See Also:
  - `Konto.getBezeichnung()`

### setBezeichnung

public void setBezeichnung(String bezeichnung) throws RemoteException
Description copied from interface: `Konto`
Speichert die Bezeichnung des Kontos.

Specified by:
  `setBezeichnung` in interface `Konto`
Parameters:
  `bezeichnung` - Bezeichnung.
Throws:
  `RemoteException`
See Also:
  - `Konto.setBezeichnung(java.lang.String)`

### getProtokolle

public de.willuhn.datasource.rmi.DBIterator getProtokolle() throws RemoteException
Description copied from interface: `Konto`
Liefert die HBCI-Protokollierung des Kontos in Form einer Liste von Protokoll-Objekten.

Specified by:
  `getProtokolle` in interface `Konto`
Returns:
  Liste von Protokoll-Objekten.
Throws:
  `RemoteException`
See Also:
  - `Konto.getProtokolle()`

### insert

public void insert() throws RemoteException, de.willuhn.util.ApplicationException

Overrides:
  `insert` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractDBObject.insert()`

### store

public void store() throws RemoteException, de.willuhn.util.ApplicationException

Specified by:
  `store` in interface `de.willuhn.datasource.rmi.Changeable`
Overrides:
  `store` in class `AbstractHibiscusDBObject`
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`
See Also:
  - `Changeable.store()`

### addToProtokoll

public final void addToProtokoll(String kommentar, int protokollTyp) throws RemoteException
Description copied from interface: `Konto`
Fuegt den uebergebenen Text zum Konto-Protokoll hinzu.

Specified by:
  `addToProtokoll` in interface `Konto`
Parameters:
  `kommentar` - der hinzuzufuegende Text.
  `protokollTyp` - Typ des Protokoll-Eintrags. Siehe `de.willuhn.jameica.hbci.rmi.Protokoll`.
Throws:
  `RemoteException`
See Also:
  - `Konto.addToProtokoll(java.lang.String, int)`

### getAttribute

public Object getAttribute(String arg0) throws RemoteException
Die Funktion ueberschreiben wir um ein zusaetzliches virtuelles Attribut "longname" einzufuehren. Bei Abfrage dieses Attributs wird "[Kontonummer] Bezeichnung" zurueckgeliefert.

Specified by:
  `getAttribute` in interface `de.willuhn.datasource.rmi.DBObject`
Specified by:
  `getAttribute` in interface `de.willuhn.datasource.GenericObject`
Overrides:
  `getAttribute` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.getAttribute(java.lang.String)`

### getChecksum

public long getChecksum() throws RemoteException
Description copied from interface: `Checksum`
Liefert die Checksumme des Objektes.

Specified by:
  `getChecksum` in interface `Checksum`
Returns:
  Checksumme.
Throws:
  `RemoteException`
See Also:
  - `Checksum.getChecksum()`

### setSaldo

public void setSaldo(double saldo) throws RemoteException
Description copied from interface: `Konto`
Speichert den neuen Saldo.

Specified by:
  `setSaldo` in interface `Konto`
Parameters:
  `saldo` - Neuer Saldo.
Throws:
  `RemoteException`
See Also:
  - `Konto.setSaldo(double)`

### setSaldoAvailable

public void setSaldoAvailable(double saldo) throws RemoteException
Description copied from interface: `Konto`
Speichert den verfuegbaren Betrag auf dem Konto.

Specified by:
  `setSaldoAvailable` in interface `Konto`
Parameters:
  `saldo` - der verfuegbare Betrag auf dem Konto.
Throws:
  `RemoteException`
See Also:
  - `Konto.setSaldoAvailable(double)`

### getNumUmsaetze

public int getNumUmsaetze() throws RemoteException
Description copied from interface: `Konto`
Liefert die Anzahl der Umsaetze auf dem Konto.

Specified by:
  `getNumUmsaetze` in interface `Konto`
Returns:
  Anzahl der Umsaetze auf dem Konto.
Throws:
  `RemoteException`
See Also:
  - `Konto.getNumUmsaetze()`

### getLongName

public String getLongName() throws RemoteException
Description copied from interface: `Konto`
Liefert eine ausfuehrliche Bezeichnung des Kontos bestehend aus Bezeichnung, Kto und BLZ.

Specified by:
  `getLongName` in interface `Konto`
Returns:
  ausfuehrliche Bezeichnung.
Throws:
  `RemoteException`
See Also:
  - `Konto.getLongName()`

### getUnterkonto

public String getUnterkonto() throws RemoteException
Description copied from interface: `Konto`
Liefert die Unterkonto-Nummer. BUGZILLA 355

Specified by:
  `getUnterkonto` in interface `Konto`
Returns:
  Unterkonto-Nummer.
Throws:
  `RemoteException`
See Also:
  - `Konto.getUnterkonto()`

### setUnterkonto

public void setUnterkonto(String unterkonto) throws RemoteException
Description copied from interface: `Konto`
Speichert das Unterkonto.

Specified by:
  `setUnterkonto` in interface `Konto`
Parameters:
  `unterkonto` -
Throws:
  `RemoteException`
See Also:
  - `Konto.setUnterkonto(java.lang.String)`

### getKommentar

public String getKommentar() throws RemoteException
Description copied from interface: `Konto`
Liefert einen zusaetzlichen Kommentar fuer das Konto.

Specified by:
  `getKommentar` in interface `Konto`
Returns:
  Kommentar.
Throws:
  `RemoteException`
See Also:
  - `Konto.getKommentar()`

### setKommentar

public void setKommentar(String kommentar) throws RemoteException
Description copied from interface: `Konto`
Speichert einen zusaetzlichen Kommentar fuer das Konto.

Specified by:
  `setKommentar` in interface `Konto`
Parameters:
  `kommentar` -
Throws:
  `RemoteException`
See Also:
  - `Konto.setKommentar(java.lang.String)`

### getFlags

public int getFlags() throws RemoteException
Description copied from interface: `Flaggable`
Liefert ein Bit-Feld mit Flags. Ein Objekt kann mit verschiedenen Flags markiert werden. Das kann zum Beispiel "deaktiviert" sein. Damit fuer kuenftige weitere Flags nicht immer ein neues Feld zur Datenbank hinzugefuegt werden muss, verwenden wir hier ein Bitfeld. Damit koennen mehrere Flags in einem Wert codiert werden.

Specified by:
  `getFlags` in interface `Flaggable`
Returns:
  Bit-Feld mit den Flags des Objektes.
Throws:
  `RemoteException`
See Also:
  - `Flaggable.getFlags()`

### hasFlag

public boolean hasFlag(int flag) throws RemoteException
Description copied from interface: `Flaggable`
Prueft, ob das angegebene Flag vorhanden ist.

Specified by:
  `hasFlag` in interface `Flaggable`
Parameters:
  `flag` - das zu pruefende Flag.
Returns:
  true, wenn es gesetzt ist.
Throws:
  `RemoteException`
See Also:
  - `Flaggable.hasFlag(int)`

### setFlags

public void setFlags(int flags) throws RemoteException
Description copied from interface: `Flaggable`
Speichert die Flags einen Objektes.

Specified by:
  `setFlags` in interface `Flaggable`
Parameters:
  `flags` - die Flags in Form eines Bit-Feldes.
Throws:
  `RemoteException`
See Also:
  - `Flaggable.setFlags(int)`

### getBic

public String getBic() throws RemoteException
Description copied from interface: `Konto`
Liefert die BIC.

Specified by:
  `getBic` in interface `Konto`
Returns:
  die BIC.
Throws:
  `RemoteException`
See Also:
  - `Address.getBic()`

### setBic

public void setBic(String bic) throws RemoteException
Description copied from interface: `Konto`
Speichert die BIC.

Specified by:
  `setBic` in interface `Konto`
Parameters:
  `bic` - die BIC.
Throws:
  `RemoteException`
See Also:
  - `HibiscusAddress.setBic(java.lang.String)`

### getIban

public String getIban() throws RemoteException
Description copied from interface: `Konto`
Liefert die IBAN.

Specified by:
  `getIban` in interface `Konto`
Returns:
  die IBAN.
Throws:
  `RemoteException`
See Also:
  - `Address.getIban()`

### setIban

public void setIban(String iban) throws RemoteException
Description copied from interface: `Konto`
Speichert die IBAN.

Specified by:
  `setIban` in interface `Konto`
Parameters:
  `iban` - die IBAN.
Throws:
  `RemoteException`
See Also:
  - `HibiscusAddress.setIban(java.lang.String)`

### getKategorie

public String getKategorie() throws RemoteException
Description copied from interface: `Konto`
Liefert einen Freitext mit der Kategorie.

Specified by:
  `getKategorie` in interface `Konto`
Returns:
  Freitext mit der Kategorie.
Throws:
  `RemoteException`
See Also:
  - `Konto.getKategorie()`

### setKategorie

public void setKategorie(String kategorie) throws RemoteException
Description copied from interface: `Konto`
Speichert die Kategorie.

Specified by:
  `setKategorie` in interface `Konto`
Parameters:
  `kategorie` - die Kategorie.
Throws:
  `RemoteException`
See Also:
  - `Konto.setKategorie(java.lang.String)`